-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-17
-- ----------------------------
CREATE TABLE `SYS_DICT` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `DICT_NAME` VARCHAR(50) NOT NULL COMMENT '字典名称',
    `DICT_COMMENT` VARCHAR(50) NOT NULL COMMENT '字典描述',
    `VERSION` VARCHAR(50) NOT NULL COMMENT '字典版本',
    `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` INTEGER NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` INTEGER DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典';

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-17
-- ----------------------------
CREATE TABLE `SYS_DICT_ITEM` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `DICT_NAME` VARCHAR(50) NOT NULL COMMENT '字典名称',
    `KEY` VARCHAR(20) NOT NULL COMMENT '字典键',
    `VALUE` VARCHAR(100) NOT NULL COMMENT '字典值',
    `SORT` INTEGER(10) NOT NULL COMMENT '排序',
    `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` INTEGER NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` INTEGER DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典项';

-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-17
-- ----------------------------
CREATE TABLE `SYS_FILE` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `NAME` VARCHAR(250) COMMENT '文件名称',
    `FILE_TYPE` VARCHAR(10) COMMENT '文件类型',
    `ATTRIBUTE1` VARCHAR(50) COMMENT '扩展属性1',
    `ATTRIBUTE2` VARCHAR(50) COMMENT '扩展属性2',
    `LOCATION` VARCHAR(500) COMMENT '存放地址',
    `URL` VARCHAR(500) COMMENT '访问地址',
    `URL_DOWNLOAD` VARCHAR(500) COMMENT '下载地址',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` INTEGER NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` INTEGER DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文件';

